> ## Documentation Index
> Fetch the complete documentation index at: https://docs.factory.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete a computer file upload

> Completes an upload by asking the computer daemon to pull the uploaded object into the requested workspace file.



## OpenAPI

````yaml https://api.factory.ai/api/v0/openapi.json post /api/v0/computers/{computerId}/files/{fileName}/complete-upload
openapi: 3.0.1
info:
  title: Factory Public API
  description: >-
    Public API for Factory platform. Requires authentication via the
    `Authorization: Bearer` header.
  version: 0.1.0
servers:
  - url: https://api.factory.ai/
    description: Production
security:
  - BearerAuth: []
paths:
  /api/v0/computers/{computerId}/files/{fileName}/complete-upload:
    post:
      tags:
        - Computers
      summary: Complete a computer file upload
      description: >-
        Completes an upload by asking the computer daemon to pull the uploaded
        object into the requested workspace file.
      operationId: completeComputerFileUpload
      parameters:
        - name: computerId
          in: path
          required: true
          schema:
            type: string
            description: Computer ID
        - name: fileName
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 255
            pattern: ^(?=.*\S)(?!.*[\\/])(?!.*\.\.)(?!.*[\x00-\x1F\x7F]).+$
            description: Workspace file name
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CompleteComputerFileUploadRequestBody'
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompleteComputerFileUpload200ResponseBody'
        '400':
          description: Response for status 400
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompleteComputerFileUpload400ResponseBody'
        '401':
          description: Response for status 401
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompleteComputerFileUpload401ResponseBody'
        '403':
          description: Response for status 403
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompleteComputerFileUpload403ResponseBody'
        '404':
          description: Response for status 404
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompleteComputerFileUpload404ResponseBody'
        '424':
          description: Response for status 424
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompleteComputerFileUpload424ResponseBody'
        '500':
          description: Response for status 500
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompleteComputerFileUpload500ResponseBody'
        '503':
          description: Response for status 503
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompleteComputerFileUpload503ResponseBody'
components:
  schemas:
    CompleteComputerFileUploadRequestBody:
      type: object
      properties:
        transferId:
          type: string
          format: uuid
        sessionId:
          type: string
          minLength: 1
      required:
        - transferId
        - sessionId
      additionalProperties: false
    CompleteComputerFileUpload200ResponseBody:
      type: object
      properties:
        transferId:
          type: string
          format: uuid
        fileName:
          type: string
          minLength: 1
          maxLength: 255
          pattern: ^(?=.*\S)(?!.*[\\/])(?!.*\.\.)(?!.*[\x00-\x1F\x7F]).+$
        byteLength:
          type: integer
          minimum: 0
      required:
        - transferId
        - fileName
        - byteLength
      additionalProperties: false
    CompleteComputerFileUpload400ResponseBody:
      type: object
      properties:
        detail:
          type: string
          description: Human-readable error message
        status:
          type: number
          description: HTTP status code
        title:
          type: string
          description: HTTP status title
        metadata:
          type: object
          additionalProperties: {}
          description: Additional error metadata
      required:
        - detail
        - status
        - title
      additionalProperties: false
    CompleteComputerFileUpload401ResponseBody:
      type: object
      properties:
        detail:
          type: string
          description: Human-readable error message
        status:
          type: number
          description: HTTP status code
        title:
          type: string
          description: HTTP status title
        metadata:
          type: object
          additionalProperties: {}
          description: Additional error metadata
      required:
        - detail
        - status
        - title
      additionalProperties: false
    CompleteComputerFileUpload403ResponseBody:
      type: object
      properties:
        detail:
          type: string
          description: Human-readable error message
        status:
          type: number
          description: HTTP status code
        title:
          type: string
          description: HTTP status title
        metadata:
          type: object
          additionalProperties: {}
          description: Additional error metadata
      required:
        - detail
        - status
        - title
      additionalProperties: false
    CompleteComputerFileUpload404ResponseBody:
      type: object
      properties:
        detail:
          type: string
          description: Human-readable error message
        status:
          type: number
          description: HTTP status code
        title:
          type: string
          description: HTTP status title
        metadata:
          type: object
          additionalProperties: {}
          description: Additional error metadata
      required:
        - detail
        - status
        - title
      additionalProperties: false
    CompleteComputerFileUpload424ResponseBody:
      type: object
      properties:
        detail:
          type: string
          description: Human-readable error message
        status:
          type: number
          description: HTTP status code
        title:
          type: string
          description: HTTP status title
        metadata:
          type: object
          additionalProperties: {}
          description: Additional error metadata
      required:
        - detail
        - status
        - title
      additionalProperties: false
    CompleteComputerFileUpload500ResponseBody:
      type: object
      properties:
        detail:
          type: string
          description: Human-readable error message
        status:
          type: number
          description: HTTP status code
        title:
          type: string
          description: HTTP status title
        metadata:
          type: object
          additionalProperties: {}
          description: Additional error metadata
      required:
        - detail
        - status
        - title
      additionalProperties: false
    CompleteComputerFileUpload503ResponseBody:
      type: object
      properties:
        detail:
          type: string
          description: Human-readable error message
        status:
          type: number
          description: HTTP status code
        title:
          type: string
          description: HTTP status title
        metadata:
          type: object
          additionalProperties: {}
          description: Additional error metadata
      required:
        - detail
        - status
        - title
      additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Factory API key or JWT token for authentication

````